Cloud Speech-to-Text API

通过应用强大的神经网络模型将音频转换为文本。

服务:speech.googleapis.com

如要调用此服务,我们建议您使用 Google 提供的客户端库。如果您的应用需要使用您自己的库来调用此服务,则在发出 API 请求时应使用以下信息。

发现文档

发现文档是用于说明和使用 REST API 的机器可读规范。它用于构建客户端库、IDE 插件以及与 Google API 交互的其他工具。一项服务可能会提供多个发现文档。此服务提供了以下发现文档:

服务端点

服务端点是指定 API 服务的网络地址的基本网址。一项服务可能有多个服务端点。此服务具有以下服务端点,下面的所有 URI 都与此服务端点相关:

  • https://speech.googleapis.com

REST 资源:v1p1beta1.operations

方法
cancel POST /v1p1beta1/operations/{name=**}:cancel
对长时间运行的操作启动异步取消。
delete DELETE /v1p1beta1/operations/{name=**}
删除长时间运行的操作。
get GET /v1p1beta1/operations/{name=**}
获取长时间运行的操作的最新状态。
list GET /v1p1beta1/operations
列出与请求中指定的过滤条件匹配的操作。

REST 资源:v1p1beta1.projects.locations.customClasses

方法
create POST /v1p1beta1/{parent=projects/*/locations/*}/customClasses
创建自定义类。
delete DELETE /v1p1beta1/{name=projects/*/locations/*/customClasses/*}
删除自定义类。
get GET /v1p1beta1/{name=projects/*/locations/*/customClasses/*}
获取自定义课程。
list GET /v1p1beta1/{parent=projects/*/locations/*}/customClasses
列出自定义类。
patch PATCH /v1p1beta1/{customClass.name=projects/*/locations/*/customClasses/*}
更新自定义类。

REST 资源:v1p1beta1.projects.locations.phraseSets

方法
create POST /v1p1beta1/{parent=projects/*/locations/*}/phraseSets
创建一组短语提示。
delete DELETE /v1p1beta1/{name=projects/*/locations/*/phraseSets/*}
删除短语集。
get GET /v1p1beta1/{name=projects/*/locations/*/phraseSets/*}
获取短语集。
list GET /v1p1beta1/{parent=projects/*/locations/*}/phraseSets
列出短语集。
patch PATCH /v1p1beta1/{phraseSet.name=projects/*/locations/*/phraseSets/*}
更新短语集。

REST 资源:v1p1beta1.speech

方法
longrunningrecognize POST /v1p1beta1/speech:longrunningrecognize
执行异步语音识别:通过 google.longrunning.Operations 接口接收结果。
recognize POST /v1p1beta1/speech:recognize
执行同步语音识别:在发送和处理完所有音频后接收结果。

REST 资源:v1.operations

方法
cancel POST /v1/operations/{name=**}:cancel
对长时间运行的操作启动异步取消。
delete DELETE /v1/operations/{name=**}
删除长时间运行的操作。
get GET /v1/operations/{name=**}
获取长时间运行的操作的最新状态。
list GET /v1/operations
列出与请求中指定的过滤条件匹配的操作。

REST 资源:v1.projects.locations.customClasses

方法
create POST /v1/{parent=projects/*/locations/*}/customClasses
创建自定义类。
delete DELETE /v1/{name=projects/*/locations/*/customClasses/*}
删除自定义类。
get GET /v1/{name=projects/*/locations/*/customClasses/*}
获取自定义课程。
list GET /v1/{parent=projects/*/locations/*}/customClasses
列出自定义类。
patch PATCH /v1/{customClass.name=projects/*/locations/*/customClasses/*}
更新自定义类。

REST 资源:v1.projects.locations.phraseSets

方法
create POST /v1/{parent=projects/*/locations/*}/phraseSets
创建一组短语提示。
delete DELETE /v1/{name=projects/*/locations/*/phraseSets/*}
删除短语集。
get GET /v1/{name=projects/*/locations/*/phraseSets/*}
获取短语集。
list GET /v1/{parent=projects/*/locations/*}/phraseSets
列出短语集。
patch PATCH /v1/{phraseSet.name=projects/*/locations/*/phraseSets/*}
更新短语集。

REST 资源:v1.speech

方法
longrunningrecognize POST /v1/speech:longrunningrecognize
执行异步语音识别:通过 google.longrunning.Operations 接口接收结果。
recognize POST /v1/speech:recognize
执行同步语音识别:在发送和处理完所有音频后接收结果。